Index: trunk/abdev/BasicCompiler32/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler32/BasicCompiler.vcproj	(revision 248)
+++ trunk/abdev/BasicCompiler32/BasicCompiler.vcproj	(revision 256)
@@ -1254,4 +1254,16 @@
 				</File>
 				<Filter
+					Name="CoreClasses"
+					>
+					<File
+						RelativePath="..\BasicCompiler_Common\src\CommonCodeGenerator.cpp"
+						>
+					</File>
+				</Filter>
+			</Filter>
+			<Filter
+				Name="Compiler Classes"
+				>
+				<Filter
 					Name="Langauge Classes"
 					>
@@ -1326,12 +1338,4 @@
 					<File
 						RelativePath="..\BasicCompiler_Common\src\Variable.cpp"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="CoreClasses"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\CommonCodeGenerator.cpp"
 						>
 					</File>
@@ -1392,110 +1396,118 @@
 			</Filter>
 			<Filter
-				Name="Language Classes"
-				>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Class.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\CodeGenerator.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Compiler.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Const.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\DataTable.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Exception.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\LexicalScope.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Member.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\MetaImpl.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Method.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Namespace.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\NamespaceSupporter.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\NativeCode.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Parameter.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Procedure.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Program.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Prototype.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\SmoothieImpl.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Symbol.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Type.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\TypeDef.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Variable.h"
+				Name="Common Classes"
+				>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\BoostSerializationSupport.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Hashmap.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\logger.h"
 					>
 				</File>
 			</Filter>
 			<Filter
-				Name="Common Classes"
-				>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\BoostSerializationSupport.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Hashmap.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\logger.h"
-					>
-				</File>
+				Name="Compiler Classes"
+				>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\CodeGenerator.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Compiler.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Linker.h"
+					>
+				</File>
+				<Filter
+					Name="Language Classes"
+					>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Class.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Const.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\DataTable.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Exception.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\LexicalScope.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Member.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Meta.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Method.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Namespace.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\NamespaceSupporter.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\NativeCode.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Parameter.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Procedure.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Program.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Prototype.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\SmoothieImpl.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Symbol.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Type.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\TypeDef.h"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\Variable.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 		</Filter>
